org.apache.xmpbox.type

## Class ResourceRefType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.ResourceRefType

    public class ResourceRefType
    extends AbstractStructuredType

### Field Summary

Fields
`static String` `ALTERNATE_PATHS`
`static String` `DOCUMENT_ID`
`static String` `FILE_PATH`
`static String` `FROM_PART`
`static String` `INSTANCE_ID`
`static String` `LAST_MODIFY_DATE`
`static String` `MANAGE_TO`
`static String` `MANAGE_UI`
`static String` `MANAGER`
`static String` `MANAGER_VARIANT`
`static String` `MASK_MARKERS`
`static String` `PART_MAPPING`
`static String` `RENDITION_CLASS`
`static String` `RENDITION_PARAMS`
`static String` `TO_PART`
`static String` `VERSION_ID`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ResourceRefType(XMPMetadata metadata)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAlternatePath(String value)`
`List<String>` `getAlternatePaths()` Get List of Versions values
`ArrayProperty` `getAlternatePathsProperty()` Get Versions property
`String` `getDocumentID()`
`String` `getFilePath()`
`String` `getFromPart()`
`String` `getInstanceID()`
`Calendar` `getLastModifyDate()`
`String` `getManager()`
`String` `getManagerVariant()`
`String` `getManageTo()`
`String` `getManageUI()`
`String` `getMaskMarkers()`
`String` `getPartMapping()`
`String` `getRenditionClass()`
`String` `getRenditionParams()`
`String` `getToPart()`
`String` `getVersionID()`
`void` `setDocumentID(String value)`
`void` `setFilePath(String value)`
`void` `setFromPart(String value)`
`void` `setInstanceID(String value)`
`void` `setLastModifyDate(Calendar value)`
`void` `setManager(String value)`
`void` `setManagerVariant(String value)`
`void` `setManageTo(String value)`
`void` `setManageUI(String value)`
`void` `setMaskMarkers(String value)`
`void` `setPartMapping(String value)`
`void` `setRenditionClass(String value)`
`void` `setRenditionParams(String value)`
`void` `setToPart(String value)`
`void` `setVersionID(String value)`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOCUMENT_ID

    public static final String DOCUMENT_ID

See Also:
  Constant Field Values

#### FILE_PATH

    public static final String FILE_PATH

See Also:
  Constant Field Values

#### INSTANCE_ID

    public static final String INSTANCE_ID

See Also:
  Constant Field Values

#### LAST_MODIFY_DATE

    public static final String LAST_MODIFY_DATE

See Also:
  Constant Field Values

#### MANAGE_TO

    public static final String MANAGE_TO

See Also:
  Constant Field Values

#### MANAGE_UI

    public static final String MANAGE_UI

See Also:
  Constant Field Values

#### MANAGER

    public static final String MANAGER

See Also:
  Constant Field Values

#### MANAGER_VARIANT

    public static final String MANAGER_VARIANT

See Also:
  Constant Field Values

#### PART_MAPPING

    public static final String PART_MAPPING

See Also:
  Constant Field Values

#### RENDITION_PARAMS

    public static final String RENDITION_PARAMS

See Also:
  Constant Field Values

#### VERSION_ID

    public static final String VERSION_ID

See Also:
  Constant Field Values

#### MASK_MARKERS

    public static final String MASK_MARKERS

See Also:
  Constant Field Values

#### RENDITION_CLASS

    public static final String RENDITION_CLASS

See Also:
  Constant Field Values

#### FROM_PART

    public static final String FROM_PART

See Also:
  Constant Field Values

#### TO_PART

    public static final String TO_PART

See Also:
  Constant Field Values

#### ALTERNATE_PATHS

    public static final String ALTERNATE_PATHS

See Also:
  Constant Field Values

### Constructor Detail

#### ResourceRefType

    public ResourceRefType(XMPMetadata metadata)

Parameters:
  `metadata` - The metadata to attach to this property

### Method Detail

#### getDocumentID

    public String getDocumentID()

#### setDocumentID

    public void setDocumentID(String value)

#### getFilePath

    public String getFilePath()

#### setFilePath

    public void setFilePath(String value)

#### getInstanceID

    public String getInstanceID()

#### setInstanceID

    public void setInstanceID(String value)

#### getLastModifyDate

    public Calendar getLastModifyDate()

#### setLastModifyDate

    public void setLastModifyDate(Calendar value)

#### getManageUI

    public String getManageUI()

#### setManageUI

    public void setManageUI(String value)

#### getManageTo

    public String getManageTo()

#### setManageTo

    public void setManageTo(String value)

#### getManager

    public String getManager()

#### setManager

    public void setManager(String value)

#### getManagerVariant

    public String getManagerVariant()

#### setManagerVariant

    public void setManagerVariant(String value)

#### getPartMapping

    public String getPartMapping()

#### setPartMapping

    public void setPartMapping(String value)

#### getRenditionParams

    public String getRenditionParams()

#### setRenditionParams

    public void setRenditionParams(String value)

#### getVersionID

    public String getVersionID()

#### setVersionID

    public void setVersionID(String value)

#### getMaskMarkers

    public String getMaskMarkers()

#### setMaskMarkers

    public void setMaskMarkers(String value)

#### getRenditionClass

    public String getRenditionClass()

#### setRenditionClass

    public void setRenditionClass(String value)

#### getFromPart

    public String getFromPart()

#### setFromPart

    public void setFromPart(String value)

#### getToPart

    public String getToPart()

#### setToPart

    public void setToPart(String value)

#### addAlternatePath

    public void addAlternatePath(String value)

#### getAlternatePathsProperty

    public ArrayProperty getAlternatePathsProperty()

Get Versions property

Returns:
  version property to set

#### getAlternatePaths

    public List<String> getAlternatePaths()

Get List of Versions values

Returns:
  List of Versions values